--
-- Table structure for table `[{db_prefix}]members`
--

CREATE TABLE IF NOT EXISTS `[{db_prefix}]members` (
  `member_id` int(8) NOT NULL AUTO_INCREMENT,
  `site_id` int(8) NOT NULL,
  `username` varchar(50) NOT NULL,
  `password` varchar(50) NOT NULL,
  `email` varchar(100) NOT NULL,
  `verified` varchar(5) NOT NULL,
  `approved` varchar(5) NOT NULL,
  `fname` varchar(100) NOT NULL,
  `lname` varchar(100) NOT NULL,
  `address1` varchar(250) NOT NULL,
  `address2` varchar(250) NOT NULL,
  `city` varchar(250) NOT NULL,
  `state` varchar(25) NOT NULL,
  `zip` varchar(25) NOT NULL,
  `country` varchar(25) NOT NULL,
  `phone` varchar(25) NOT NULL,
  `organization` varchar(250) NOT NULL,
  `title` varchar(250) NOT NULL,
  `birth_date` date NOT NULL,
  `gender` varchar(10) NOT NULL,
  `receive_updates` varchar(5) NOT NULL,
  `last_login` datetime NOT NULL,
  `last_ip` varchar(50) NOT NULL,
  PRIMARY KEY (`member_id`),
  KEY `site_id` (`site_id`),
  KEY `username` (`username`),
  KEY `email` (`email`),
  KEY `fname` (`fname`),
  KEY `lname` (`lname`),
  KEY `site_id_2` (`site_id`,`member_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=13001 ;