<?php
/**
 * Phire CMS
 *
 * LICENSE
 *
 * This source file is subject to the new BSD license that is bundled
 * with this package in the file LICENSE.TXT.
 * It is also available through the world-wide-web at this URL:
 * http://www.phirecms.org/LICENSE.TXT
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to info@phirecms.org so we can send you a copy immediately.
 *
 * @category   Phire
 * @package    Phire_Form
 * @author     Nick Sagona, III <nick@moc10media.com>
 * @copyright  Copyright (c) 2009-2011 Moc 10 Media, LLC. (http://www.moc10media.com)
 * @license    http://www.phirecms.org/LICENSE.TXT     New BSD License
 */

require_once dirname(__FILE__) . '/../../../httpdocs/phire/bootstrap.php';

class Phire_Form_ForgotTest extends PHPUnit_Framework_TestCase
{

    public function testFormForgotConstructor()
    {
        $f = new Phire_Form_Forgot('/action.php', 'post');
        $class = 'Phire_Form_Forgot';
        $this->assertTrue($f instanceof $class);
    }

    public function testFormForgotInit()
    {
        $f = new Phire_Form_Forgot('/action.php', 'post');
        $f->init();
        $this->assertEquals(2, count($f->getElements()));
    }

}

?>